# Supported Blockchains

{% content-ref url="/pages/D3U6jRB6rMXGIyVyTo09" %}
[Chains](/picket-docs/reference/api-reference/chains.md)
{% endcontent-ref %}

Picket uses a slug to identify all supported blockchains. The supported chains are&#x20;

* `ethereum` (Mainnet)
* `polygon` (Mainnet)
* `optimism` (Mainnet)
* `arbitrum` (Arbitrum One)
* `avalanche` (Avalanche C-Chain)
* `solana` (Mainnet Beta)
* `solana-testnet` (Solana Testnet)
* `solana-devnet` (Solana Devnet)

Requests default to using `ethereum`. For all other chains, pass the `chain` parameter into the login request. When the `solana` chain is passed,  login will prompt  the user to sign into their Phantom wallet.&#x20;

{% tabs %}
{% tab title="Javascript" %}

```javascript
// Login with Solana
await picket.login({ chain: "solana" });

// Login with Ethereum
await picket.login({ chain: "ethereum" });

// Login with Polygon
await picket.login({ chain: "polygon" });

// Login with Optimism
await picket.login({ chain: "optimism" });

// Login with Arbitrum
await picket.login({ chain: "arbitrum" });

// Login with Avalanche C-Chain
await picket.login({ chain: "avalanche" });

// defaults to Ethereum
await picket.login();
```

{% endtab %}
{% endtabs %}

Pending demand, we plan to support more chains soon and will update this section as we do. Have a chain you'd like supported soon? Let us know via email at <team@picketapi.com> and we'll prioritize it accordingly.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.picketapi.com/picket-docs/reference/concepts/supported-blockchains.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
